---
title: PerformanceNavigationTiming.domInteractive
slug: Web/API/PerformanceNavigationTiming/domInteractive
tags:
  - API
  - Property
  - Reference
  - Web Performance
---
<div>{{APIRef("Navigation Timing")}}{{SeeCompatTable}}</div>

<p>The <strong><code>domInteractive</code></strong> read-only property returns a {{domxref("DOMHighResTimeStamp","timestamp")}} representing the time value equal to the time immediately before the user agent sets the current document readiness of the current document to <a href="https://html.spec.whatwg.org/multipage/syntax.html#the-end">interactive</a>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>perfEntry</em>.domInteractive;
</pre>

<h3 id="Return_Value">Return Value</h3>

<p>A {{domxref("DOMHighResTimeStamp","timestamp")}} representing the time value equal to the time immediately before the user agent sets the current document readiness of the current document to <a href="https://html.spec.whatwg.org/multipage/syntax.html#the-end">interactive</a>.</p>

<h2 id="Example">Example</h2>

<p>The following example illustrates this property's usage.</p>

<pre class="brush: js">function print_nav_timing_data() {
  // Use getEntriesByType() to just get the "navigation" events
  var perfEntries = performance.getEntriesByType("navigation");

  for (var i=0; i &lt; perfEntries.length; i++) {
    console.log("= Navigation entry[" + i + "]");
    var p = perfEntries[i];
    // dom Properties
    console.log("DOM content loaded = " + (p.domContentLoadedEventEnd - p.domContentLoadedEventStart));
    console.log("DOM complete = " + p.domComplete);
    console.log("DOM interactive = " + p.domInteractive);

    // document load and unload time
    console.log("document load = " + (p.loadEventEnd - p.loadEventStart));
    console.log("document unload = " + (p.unloadEventEnd - p.unloadEventStart));

    // other properties
    console.log("type = " + p.type);
    console.log("redirectCount = " + p.redirectCount);
  }
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Navigation Timing Level 2', '#dom-performancenavigationtiming-dominteractive', 'domInteractive')}}</td>
   <td>{{Spec2('Navigation Timing Level 2')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PerformanceNavigationTiming.domInteractive")}}</p>
</div>
